# Delete sub-unit site measurements

`DELETE /resources/pv_power_site_measurements/sub_units`

## Parameters

### Query Parameters

| Name | Type | Required | Description | Accepted Values |
| --- | --- | --- | --- | --- |
| `resource_id` | string | yes | The unique identifier of the Premium PV Power resource. |  |
| `start` | string (date-time) | yes | Delete lower bound timestamp (ISO-8601). |  |
| `end` | string (date-time) | yes | Delete upper bound timestamp (ISO-8601). |  |
| `sub_unit` | string | no | Optional filter: delete only measurements for this sub_unit. |  |

## Example request

### cURL

```bash
curl -X DELETE "https://api.solcast.com.au/resources/pv_power_site_measurements/sub_units?resource_id=0000-0000-0000-0000&start=2026-01-01T00:00:00Z&end=2026-01-02T00:00:00Z" \
  -H "Authorization: Bearer $API_KEY"
```

### Python

```python
import requests

params = {
    "resource_id": "0000-0000-0000-0000",
    "start": "2026-01-01T00:00:00Z",
    "end": "2026-01-02T00:00:00Z",
}

response = requests.delete(
    "https://api.solcast.com.au/resources/pv_power_site_measurements/sub_units", params=params,
    headers={"Authorization": "Bearer API_KEY"},
)
data = response.json()
```

## Example response (200)

```json
{
  "resource_id": "0000-0000-0000-0000",
  "start": "string",
  "end": "string",
  "deleted": 42
}
```

## Responses

### 200 — OK

Schema: `DeleteSiteMeasurementsResponse`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `deleted` | integer (int32) | no |  |
| `end` | string (date-time) | no |  |
| `resource_id` | string | no |  |
| `start` | string (date-time) | no |  |

Source: /docs/section/premium#deleteResourcesPvPowerSiteMeasurementsSubUnits
